Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DOMNodeList

    java.lang.Object
      net.sf.saxon.dom.DOMNodeList

All Implemented Interfaces:
  org.w3c.dom.NodeList

public final class DOMNodeList
extends java.lang.Object
implements org.w3c.dom.NodeList

This class wraps a list of nodes as a DOM NodeList

Constructor Summary
`DOMNodeList(java.util.List extent)` Construct an node list that wraps a supplied SequenceExtent.

Method Summary
`static DOMNodeList` | `checkAndMake(SequenceExtent extent)` Construct an node list that wraps a supplied SequenceExtent, checking that all the items in the sequence are wrappers around DOM Nodes
`int` | `getLength()` return the number of nodes in the list (DOM method)
`org.w3c.dom.Node` | `item(int index)` Return the n'th item in the list (DOM method)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMNodeList

    public DOMNodeList(java.util.List extent)

  Construct an node list that wraps a supplied SequenceExtent. This constructor does not check that the items in the supplied SequenceExtent are indeed DOM Nodes.

Method Detail

### checkAndMake

    public static DOMNodeList checkAndMake(SequenceExtent extent)
                                    throws XPathException

  Construct an node list that wraps a supplied SequenceExtent, checking that all the items in the sequence are wrappers around DOM Nodes

  Throws:
    `XPathException`

### getLength

    public int getLength()

  return the number of nodes in the list (DOM method)

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

### item

    public org.w3c.dom.Node item(int index)

  Return the n'th item in the list (DOM method)

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`
  Returns:
    The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.
  Throws:
    `java.lang.ClassCastException` - if the item is not a DOM Node

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD